{
    "controller": "controllers/record",
    "boolFilterList": [
        "onlyMy"
    ],
    "menu": {
        "detail": {
            "buttons": [
                {
                    "name": "initiateEviction",
                    "label": "Initiate Eviction",
                    "handler": "custom:handlers/kuendigung/eviction-action",
                    "initFunction": "initInitiateEviction",
                    "actionFunction": "actionInitiateEviction",
                    "iconHtml": "<span class=\"fas fa-gavel\"></span>",
                    "style": "danger",
                    "acl": "stream"
                }
            ]
        }
    },
    "sidePanels": {
        "detail": [
            {
                "name": "activities",
                "reference": "activities"
            },
            {
                "name": "history",
                "reference": "history"
            },
            {
                "name": "tasks",
                "reference": "tasks"
            }
        ]
    },
    "bottomPanels": {
        "detail": [
            {
                "name": "activities",
                "reference": "activities",
                "disabled": true
            },
            {
                "name": "history",
                "reference": "history",
                "disabled": true
            },
            {
                "name": "stream",
                "label": "Ereignisse",
                "reference": "stream",
                "stacked": false
            }
        ]
    },
    "iconClass": "fas fa-file-contract",
    "dynamicLogic": {
        "fields": {
            "sendungsverfolgungsnummer": {
                "visible": {
                    "conditionGroup": [
                        {
                            "type": "equals",
                            "attribute": "zustellart",
                            "value": "Einschreiben"
                        }
                    ]
                }
            },
            "mietrueckstand": {
                "visible": {
                    "conditionGroup": [
                        {
                            "type": "contains",
                            "attribute": "kuendigungsgrund",
                            "value": "Mietrückstand"
                        }
                    ]
                }
            },
            "beschreibungBesorgnisgrund": {
                "visible": {
                    "conditionGroup": [
                        {
                            "type": "equals",
                            "attribute": "vorzeitigeRaeumungZulaessig",
                            "value": "JaBesorgnisgrund259ZPO"
                        }
                    ]
                }
            }
        }
    },
    "relationshipPanels": {
        "vmhMietverhltnises": {
            "layout": null,
            "selectPrimaryFilterName": null
        },
        "kuendiger": {
            "layout": null,
            "selectPrimaryFilterName": null
        },
        "gekuendigte": {
            "layout": null,
            "selectPrimaryFilterName": null
        },
        "dokumenteskuendigung": {
            "layout": null,
            "selectPrimaryFilterName": null
        },
        "contactsKuendigung": {
            "layout": null,
            "selectPrimaryFilterName": "portalUsers"
        }
    }
}